Package com.smartgwt.client.types

# Enum AnimationAcceleration

java.lang.Object
java.lang.Enum<AnimationAcceleration>
com.smartgwt.client.types.AnimationAcceleration

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<AnimationAcceleration>`, `Constable`

public enum AnimationAcceleration extends Enum<AnimationAcceleration> implements ValueEnum
Acceleration effect for animations. Can either be a ratio function or a string. Ratio functions take a value between 0 and 1 which represents how much of the animation's duration has elapsed, and return another value between 0 and 1 indicating how close the animation is to completion. For a completely linear animation, the function would return the value it was passed. This allows you to bias animations to [for example] speed up toward the end of the animation.
The following strings are also supported for common ratio bias effects:

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `NONE`
  - no bias
  `SMOOTH_END`
  - animation will slow down as time elapses
  `SMOOTH_START`
  - animation will speed up as time elapses
  `SMOOTH_START_END`
  - animation will speed up in the middle

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static AnimationAcceleration`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static AnimationAcceleration[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SMOOTH_START

    public static final AnimationAcceleration SMOOTH_START
    - animation will speed up as time elapses

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "smoothStart".

  - ### SMOOTH_END

    public static final AnimationAcceleration SMOOTH_END
    - animation will slow down as time elapses

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "smoothEnd".

  - ### SMOOTH_START_END

    public static final AnimationAcceleration SMOOTH_START_END
    - animation will speed up in the middle

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "smoothStartEnd".

  - ### NONE

    public static final AnimationAcceleration NONE
    - no bias

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "none".

- ## Method Details

  - ### values

    public static AnimationAcceleration[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static AnimationAcceleration valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`